async function getTestJSON(url) {
  try {
    let response = await fetch(url);
    if (!response.ok) {
      throw new Error(
        `HTTP error! status: ${response.status}`);
    }
    let data = await response.json();
    let result = document.querySelector('#result');
    result.innerText = data['text'];
  } catch (err) {
    let result = document.querySelector('#result');
    result.innerText = err;
  }
}

getTestJSON('/chap9/test2.json');
